Skip site navigation (1) Skip section navigation (2)

Misplaced pg_upgrade_support.so ?

From: Glen Barber <glen(dot)j(dot)barber(at)gmail(dot)com>
To: pgsql-testers(at)postgresql(dot)org
Subject: Misplaced pg_upgrade_support.so ?
Date: 2010-06-07 15:26:40
Message-ID: 4C0D0FB0.3020204@gmail.com (view raw or flat)
Thread:
Lists: pgsql-testers
Hi,

First off, thank you for bringing this into contrib.

I built beta2 this morning to give pg_upgrade a test run, and everything 
worked out great.  The only thing I am not sure of is the expected 
location of pg_upgrade_support.so.  It is a default build with the 
exception of "--prefix=/usr/local/pgsql-beta2"; pg_upgrade_support.so 
ended up in /usr/local/pgsql-beta2/lib.

Here is what I saw when running pg_upgrade initially:

%pg_upgrade -d /var/db/pgsql/data \
  -D /var/db/pgsql/data2 \
  -b /usr/local/pgsql-beta1/bin \
  -B /usr/local/pgsql-beta2/bin
Performing Consistency Checks
-----------------------------
Checking old data directory (/var/db/pgsql/data)            ok
Checking new data directory (/var/db/pgsql/data2)           ok


pg_upgrade_support.so must be created and installed in \
/usr/local/pgsql-beta2/lib/postgresql/pg_upgrade_support.so

Is this module ending up in the wrong location on install, or is 
pg_upgrade looking in the wrong place?

Thanks and regards,

-- 
Glen Barber


Responses

pgsql-testers by date

Next:From: Josh BerkusDate: 2010-06-07 18:43:38
Subject: Re: Misplaced pg_upgrade_support.so ?
Previous:From: Josh BerkusDate: 2010-05-22 15:18:29
Subject: Re: [TEST REPORT]

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group